Bug 1296388 - The playbook still configure ManageIQ when openshift_use_manageiq is false
The playbook still configure ManageIQ when openshift_use_manageiq is false
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Brenton Leanhardt
Ma xiaoqiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-06 23:05 EST by Ma xiaoqiang
Modified: 2016-07-03 20:47 EDT (History)
6 users (show)

See Also:
Fixed In Version: openshift-ansible-3.0.26-1.git.0.98b8a3a.el7aos
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-27 14:44:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2016-01-06 23:05:07 EST
Description of problem:
The playbook still configure ManageIQ when openshift_use_manageiq is false

Version-Release number of selected component (if applicable):
openshift-ansible master

How reproducible:
Always


Steps to Reproduce:

1. Install containerized env without ManageIQ  on atomic 



Actual results:
ASK: [openshift_manageiq | Add Managment Infrastructure project] ************* 

failed: [openshift-149.lab.eng.nay.redhat.com] => {"changed": false, "cmd": ["oadm", "new-project", "management-infra", "--description=Management Infrastructure", "--config=/tmp/manageiq_admin.kubeconfig"], "delta": "0:00:11.345442", "end": "2016-01-07 11:13:50.928386", "failed": true, "failed_when_result": true, "rc": 1, "start": "2016-01-07 11:13:39.582944", "stdout_lines": [], "warnings": []}
stderr: error: you must specify one argument: project name
See 'oadm new-project -h' for help and examples.



Expected results:
skiping configure ManageIQ

Additional info:
Comment 4 Ma xiaoqiang 2016-01-10 22:06:59 EST
works fine against openshift-ansible-3.0.26-1.git.0.98b8a3a.el7aos, move this issue to verified.
Comment 6 errata-xmlrpc 2016-01-27 14:44:05 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:0075

Note You need to log in before you can comment on or make changes to this bug.